import 'package:json_annotation/json_annotation.dart';

part 'game.g.dart';

@JsonSerializable(explicitToJson: true)
class Game {
  @JsonKey(name: '_id')
  String id;
  String title;
  String slug;
  String releaseDate;
  List<String> protections;
  List<String> versions;
  String image;
  String imagePoster;
  bool isAAA;
  @JsonKey(name: 'NFOsCount')
  int nfosCount;
  int commentsCount;
  int followersCount;
  List<String> groups;
  String updatedAt;
  double steamPrice;
  String url;

  Game(
      this.id,
      this.title,
      this.slug,
      this.releaseDate,
      this.protections,
      this.versions,
      this.image,
      this.imagePoster,
      this.isAAA,
      this.nfosCount,
      this.commentsCount,
      this.followersCount,
      this.groups,
      this.updatedAt,
      this.steamPrice,
      this.url);

  factory Game.fromJson(Map<String, dynamic> json) => _$GameFromJson(json);

  Map<String, dynamic> toJson() => _$GameToJson(this);

  @override
  String toString() {
    return 'Game{id: $id, title: $title, slug: $slug, releaseDate: $releaseDate, protections: $protections, versions: $versions, image: $image, imagePoster: $imagePoster, isAAA: $isAAA, nfosCount: $nfosCount, commentsCount: $commentsCount, followersCount: $followersCount, groups: $groups, updatedAt: $updatedAt, steamPrice: $steamPrice, url: $url}';
  }
}
